Method: projects.locations.softwareVersions.list

Lists all software packages in lab and their versions.

HTTP request

GET https://devicerun.googleapis.com/v1alpha/{parent=projects/*/locations/*}/softwareVersions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent of the collection of software versions. Format: projects/{project}/locations/global. It takes the form projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of software versions to return. The server may return fewer items than this value.

pageToken

string

Optional. A page token, received from a previous softwareVersions.list call. Provide this to receive the subsequent page.

When paginating, all other parameters provided to softwareVersions.list must match the call that provided the page token.

filter

string

Optional. An AIP-160 (https://google.aip.dev/160) filter expression restricting which software versions are returned. An empty filter returns all software versions.

Filtering is supported over the SoftwareVersion fields, including nested fields via dot-path. Enum and string values must be double-quoted.

Examples: * softwareType = "ANDROIDX_TEST_ORCHESTRATOR" * softwareType = "ANDROIDX_TEST_ORCHESTRATOR" AND isDefault = true * lifecycle.state = "ACTIVE" * version = "1.4.1"

Request body

The request body must be empty.

Response body

Response includes listed software versions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "softwareVersions": [
    {
      object (SoftwareVersion)
    }
  ],
  "nextPageToken": string
}
Fields
softwareVersions[]

object (SoftwareVersion)

The list of software versions.

nextPageToken

string

Token to receive the next page of software versions. This will be absent if the end of the response list has been reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • devicerun.softwareVersions.list

For more information, see the IAM documentation.